Subject: Re: pull request: wireless-next-2.6 2009-12-24

From: "John W. Linville" <[email-masked]>
Date: Thu, 24 Dec 2009 23:47:59 -0500

On Thu, Dec 24, 2009 at 01:53:14PM -0800, David Miller wrote:
> From: "John W. Linville" <[email-masked]>
> Date: Thu, 24 Dec 2009 15:47:22 -0500
> 
> > Dave,
> > 
> > Here is the usual first batch of pent-up wireless patches after the
> > merge window.  It is the usual collection of various driver updates
> > along with a dozen or so mac80211/infrastructure changes.  There is
> > still more, but lots/most of what remains is dependent not only on this
> > batch but also on the fixes that only recently made it into net-next-2.6
> > (and which are not yet in wireless-next-2.6).  So, something to look
> > forward to... :-)
> > 
> > Please let me know if there are problems!
> 
> Let me know when it builds :-)
> 
> awk: /home/davem/src/GIT/net-next-2.6/net/wireless/genregdb.awk: line 29: regular expression compile failed (missing operand)
> * Ignore *
> awk: /home/davem/src/GIT/net-next-2.6/net/wireless/genregdb.awk: line 33: regular expression compile failed (missing operand)
> * Ignore *
> make[2]: *** [net/wireless/regdb.c] Error 2
> make[2]: *** Waiting for unfinished jobs....

Hmm...well, I'm at a loss.  It certainly works here. :-)

Perhaps you could send me your config?  And maybe the output of
"awk -W version"?  I suppose it is possible that I'm relying on some
specific awk feature that isn't commonly available...?

Actually, I think it has to do with the C-style comments on the
cited lines.  Try the patch below?  If it works for you, perhaps you
could just apply it on top of the request pull?

John

---

From 0d5105fb0d1cb949ebb54eb50c4affd33328b866 Mon Sep 17 00:00:00 2001
From: John W. Linville <[email-masked]>
Date: Thu, 24 Dec 2009 23:44:51 -0500
Subject: [PATCH] wireless: fix comments in genregdb.awk

Apparently some awk versions choke on C-style comments -- who knew? :-)

Signed-off-by: John W. Linville <[email-masked]>
---
 net/wireless/genregdb.awk |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/net/wireless/genregdb.awk b/net/wireless/genregdb.awk
index 8316cf0..3cc9e69 100644
--- a/net/wireless/genregdb.awk
+++ b/net/wireless/genregdb.awk
@@ -26,11 +26,11 @@ BEGIN {
 }
 
 /^[ \t]*#/ {
-	/* Ignore */
+	# Ignore
 }
 
 !active && /^[ \t]*$/ {
-	/* Ignore */
+	# Ignore
 }
 
 !active && /country/ {
-- 
1.6.5.2

-- 
John W. Linville                Someday the world will need a hero, and you
[email-masked]                  might be all we have.  Be ready.